// ==UserScript==
// @name         send answer to nanachan
// @namespace    https://odrling.xyz
// @version      0.1
// @description  send your answer to nanachan when pressing Shift + Enter
// @author       amoethyst
// @match        https://animemusicquiz.com/
// @grant        none
// @homepageURL  https://codeberg.org/odrling/amq-scripts
// @downloadURL  https://codeberg.org/odrling/amq-scripts/raw/branch/master/send_to_nana.user.js
// @updateURL    https://codeberg.org/odrling/amq-scripts/raw/branch/master/send_to_nana.user.js
// ==/UserScript==

(function() {
    'use strict';

    function nananswer() {
        let answer = document.getElementById("qpAnswerInput").value
        socket.sendCommand({
            type: "social",
            command: "chat message",
            data: {
                target: "nanachan",
                message: "777 " + answer
            }
        })
    }

    document.onkeydown = function(e) {
        if (e.key ==="Enter" && e.shiftKey) {
            nananswer()
        }
    }
})();
